For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a Case

This endpoint allows you to create a case.

POST {{baseurl}}/v2/api/cases

Headers

Name
Type
Description

token*

String

API secret token

Request Body

Field
Type
Description

caseTitle*

String

Title of the case

caseType*

String

Type of case being created

description*

String

Detailed reason or context for creating the case

severity*

String

Severity level of the case

Allowed values: "High", "Medium", "Low"

entityId*

String

ID of the entity the case is associated with

linkedIssues*

Object[]

List of issues linked to this case

issueId*

String

ID of the linked issue

issueType*

String

Type of the linked issue (e.g., Activity, Alert, BehaviouralInsight, Custom)

status

String

Optional status for the linked issue

caseStage*

Object

Current stage of the case

stage*

String

Stage name (e.g., Investigation, Review)

level*

String|Number

Level or priority of the stage (e.g., LV1, 1, etc.)

tasks*

Object[]

List of tasks assigned for the stage

task*

String

Task description

Investigator*

Object

Information about the investigator assigned to the case

investigatorId*

String

ID of the investigator

Last updated

Was this helpful?